// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <string>
#include <limits>

void displayText(std::string& text)
{
    std::cout << "The text you have entered is: " << text << '\n';
    std::cout << "The memory address of the string is: " << &text << '\n';
}

int main()
{
    std::string Text;
    std::cout << "Enter a line of text: ";
    std::getline(std::cin >> std::ws, Text);
    displayText(Text);
    
    std::cin.clear();
    std::cin.ignore(std::numeric_limits<std::streamsize>::max(), '\n');
    std::cin.get();
    return 0;
}
